Page 1 of 1

Windows installer not compatibel with Mandatory ASLR

Posted: April 18th, 2018, 11:58 am
by ErikBrown
SABnzbd 2.3.3 RC2 (and also earlier versions)
Windows 10 Pro 32
Glitter Night

The Windows installer of SABnzbd is not compatible with the following Windows Defender Exploit protection setting:

Force randomisation for images (Mandatory ASLR)
Force relocation of images not compiled with /DYNAMICBASE
Setting: On by default

Note that the default setting is Off

This Windows defender setting results in the installer not to run.

It is debatable if this should be considered to be a bug but security conscious persons might also have enabled this setting. The setting does not interfere with other programs used by me. So most programs do not have an issue with this setting. The work around that I use is to disable the Defender setting before installing an update for SABnzbd but it would be nice if the installer could be modified to be compatible with the Defender setting.

Re: Windows installer not compatibel with Mandatory ASLR

Posted: April 18th, 2018, 3:49 pm
by sander
Is this a solution / workaround, which you can verify? https://stackoverflow.com/a/40506618/1492917

Re: Windows installer not compatibel with Mandatory ASLR

Posted: April 19th, 2018, 11:45 am
by safihre
The ancient version of the installer software that we use might start to become a problem.. Will have to investigate :/
Could you create an issue at our github if you have an account? Then I can keep track of process.
https://github.com/sabnzbd/sabnzbd/issues

Re: Windows installer not compatibel with Mandatory ASLR

Posted: April 25th, 2018, 9:08 pm
by morgan1993
Any update on when will it work fine? Compatibility issue is pretty hard to resolve and it will take quite some time.

Re: Windows installer not compatibel with Mandatory ASLR

Posted: April 26th, 2018, 12:39 am
by sander
morgan1993 wrote:
April 25th, 2018, 9:08 pm
Any update on when will it work fine? Compatibility issue is pretty hard to resolve and it will take quite some time.
Any update on the suggestion I gave you?

Re: Windows installer not compatibel with Mandatory ASLR

Posted: April 26th, 2018, 1:21 pm
by ErikBrown
Sander, I can't find the link of the editbin utility so I was unable to test it.

Re: Windows installer not compatibel with Mandatory ASLR

Posted: August 25th, 2018, 4:55 am
by ErikBrown
This issue is still there for version 2.3.5RC2

Re: Windows installer not compatibel with Mandatory ASLR

Posted: August 25th, 2018, 7:15 am
by safihre
I know, didn't spend time yet to fix it:
https://github.com/sabnzbd/sabnzbd/issues/1135